<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @value={{this.value}}
  ...attributes
>
  <:view>
    {{#if @value}}
      <p class="view-slug">
        {{@value}}
      </p>
    {{else}}
      <div class="alert alert-info" role="alert">
        {{t "slug-no-value"}}
      </div>
    {{/if}}
  </:view>

  <:edit as |manager id|>
    <Input::ArticleSlug @value={{this.value}} @onChange={{this.onChange}} @id={{id}} @teamId={{@teamId}} @onValidate={{this.validate}}/>
  </:edit>
</Manage::FieldContainer>